<?php

namespace Drupal\syncart\Hook;

/**
 * Hook preprocess page class.
 */
class PreprocessCommerceProduct {

  /**
   * Hook.
   */
  public static function hook(&$variables) {
    $variables['cart'] = [
      '#theme' => 'syncart-cart-field',
      '#data' => \Drupal::service('syncart.product')
        ->getData(
          $variables['product_entity'],
          $variables['elements']['#view_mode']
      ),
    ];

    $variables['favorite'] = [
      '#theme' => 'syncart-favorite-field',
      '#data' => [
        'uid' => \Drupal::currentUser()->id(),
        'product' => $variables['product_entity'],
      ],
    ];
  }

}
